=== debian/changelog ===
ros-iron-micro-ros-diagnostic-bridge (0.3.0-5jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Bartolome Jimenez Vera <bjv@capra.ooo>  Thu, 20 Apr 2023 05:51:52 -0000
